
#include <ESP8266WiFi.h>

int led = 16; // the pin the LED is connected to

const char* ssid     = "FABLAB2019"; //AP Name (Server Name)
const char* password = "gqgh7abe";  //Set wifi password
const char* Commands_Reply;                 // The command variable that is sent to the client

const char * host = "192.168.8.103";          // IP Client

WiFiServer server(80);

void setup() {
  // put your setup code here, to run once:
  pinMode(led, OUTPUT);                     // Declare the LED as an output
  Serial.begin(115200);                     // initialize serial:
  delay(10);

  Serial.println("");
  Serial.println("Server-------------------------------");
  Serial.print("Configuring access point");
  WiFi.begin(ssid, password);

  // Waiting to connect to wifi
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  Serial.println("");
  Serial.println("WiFi connected");

  // Start the server
  server.begin();
  Serial.println("Server started");

  // Print the IP address
  Serial.print("Use this URL to connect: ");
  Serial.print("http://");
  Serial.print(WiFi.localIP());
  Serial.println("/");
  Serial.println("-------------------------------------");
  Serial.println("");
}

void loop() {
  // put your main code here, to run repeatedly:
  // Check if a client has connected
  WiFiClient client = server.available();
  if (!client) {
    return;
  }

  // Wait until the client sends some data
  Serial.println("Server-------------------------------");
  Serial.println("New client");
  Serial.print("From client = ");
  while (!client.available()) {
    delay(1);
  }

  // Read the first line of the request -------------------------------------
  String req = client.readStringUntil('\r');
  Serial.println(req);
  client.flush();

  //Command LED -------------------------------------------------------------
/*if (req.indexOf("LED_Blink") != -1){
    Commands_Reply = "LED Status : Blinking";
    Serial.print("Server send = ");
    Serial.println(Commands_Reply);
    client.print(String("GET ") + Commands_Reply + " HTTP/1.1\r\n" + "Host: " + host + "\r\n" + "Connection: close\r\n\r\n");
    digitalWrite(led, HIGH);
    delay(500);
    digitalWrite(led, LOW);
    delay(500);
    digitalWrite(led, HIGH);
    delay(500);
    digitalWrite(led, LOW);
    delay(500);
    digitalWrite(led, HIGH);
    delay(500);
    digitalWrite(led, LOW);
    delay(500);
    } */

  if (req.indexOf("LED_On") != -1) {
    Commands_Reply = "LED Status : On";
    Serial.print("Server send = ");
    Serial.println(Commands_Reply);
    client.print(String("GET ") + Commands_Reply + " HTTP/1.1\r\n" + "Host: " + host + "\r\n" + "Connection: close\r\n\r\n");
    digitalWrite(led, HIGH);
  }
  else if (req.indexOf("LED_Off") != -1) {
    Commands_Reply = "LED Status : Off";
    Serial.print("Server send = ");
    Serial.println(Commands_Reply);
    client.print(String("GET ") + Commands_Reply + " HTTP/1.1\r\n" + "Host: " + host + "\r\n" + "Connection: close\r\n\r\n");
    digitalWrite(led, LOW);
  }
  else {
    Serial.println("invalid request");
    client.stop();
    return;
  }

  client.flush();
  Serial.println("Client disonnected");
  Serial.println("-------------------------------------");
  Serial.println("");
}
